# compileUiFiles

Script for eric6 to compile all .ui files to Python source.

### Global Attributes

None

### Classes

None

### Functions

__pyName | Local function to create the Python source file name for the compiled .ui file.
compileUiFiles | Compile the .ui files to Python sources.
main | The main function of the script.

## __pyName

__pyName(py_dir, py_file)

Local function to create the Python source file name for the compiled .ui file.

py_dir
  suggested name of the directory (string)
py_file
  suggested name for the compile source file (string)

Returns:
  tuple of directory name (string) and source file name (string)

Up

## compileUiFiles

compileUiFiles()

Compile the .ui files to Python sources.

Up

## main

main(argv)

The main function of the script.

argv
  the list of command line arguments.

Up